[CentOS] Bourne shell deprecated?

Gordon Messmer gordon.messmer at gmail.com
Wed Apr 27 02:13:37 UTC 2016


On 04/26/2016 06:45 PM, Jack Bailey wrote:
> Today someone in a meeting claimed the Bourne shell is deprecated, one 
> of the reasons being it supposedly has security issues.  Well that's 
> all news to me, and I cannot find anything online to corroborate the 
> claim.  Is this true, is it a bash vs. Bourne FUD, or something else? 


The Bourne shell is not POSIX conforming.  It's not widely available.  
It was included in Solaris until 11, when it was replaced with a POSIX 
compatible sh.


It was affected by a security issue in 2014:

http://www.cvedetails.com/vulnerability-list/vendor_id-15053/year-2014/Heirloom.html


I think it's hard to argue that it's not deprecated.




More information about the CentOS mailing list